Debian Bug report logs - #391589
[CVE-2006-4980] buffer overrun in repr() for unicode strings

version graph

Package: python; Maintainer for python is Matthias Klose <doko@debian.org>; Source for python is src:python-defaults.

Reported by: debian-bts@spamblock.netzgehirn.de

Date: Sat, 7 Oct 2006 13:33:26 UTC

Severity: important

Tags: fixed-upstream, security

Found in version all

Done: Matthias Klose <doko@cs.tu-berlin.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#391589; Package python. Full text and rfc822 format available.

Acknowledgement sent to debian-bts@spamblock.netzgehirn.de:
New Bug report received and forwarded. Copy sent to Matthias Klose <doko@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: debian-bts@spamblock.netzgehirn.de
To: submit@bugs.debian.org
Subject: Security: buffer overrun in repr() for unicode strings
Date: Sat, 7 Oct 2006 14:45:47 +0200
Package: python
Version: all
Severity: important
Tags: security, fixed-upstream

See
http://sourceforge.net/tracker/index.php?func=detail&aid=1541585&group_id=5470&atid=305470
and
http://www.ubuntu.com/usn/usn-359-1

"
Benjamin C. Wiley Sittler discovered that Python's repr() function did
not properly handle UTF-32/UCS-4 strings. If an application uses
repr() on arbitrary untrusted data, this could be exploited to execute
arbitrary code with the privileges of the python application.) 
"

Fixed upstream.



Changed Bug title. Request was from Ted Percival <ted@midg3t.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#391589; Package python. Full text and rfc822 format available.

Acknowledgement sent to Ted Percival <ted@midg3t.net>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. Full text and rfc822 format available.

Message #12 received at 391589@bugs.debian.org (full text, mbox):

From: Ted Percival <ted@midg3t.net>
To: 391589@bugs.debian.org
Subject: This bug has mostly been fixed
Date: Sun, 22 Oct 2006 00:56:00 +1000
[Message part 1 (text/plain, inline)]
I did some research into this, and discovered that most of the affected
packages have already been fixed. The sarge packages have not been
fixed, but I enquired with debian-security and was told there is a fix
in the pipeline. I also noticed that fixed versions of python2.3 and
python2.4 have not propogated to testing yet. python2.3 should propogate
into testing in a couple of days, and I will contact the -release team
to ensure a fixed version of python2.4 (currently frozen) makes its way
into etch.

-Ted

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Matthias Klose <doko@cs.tu-berlin.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to debian-bts@spamblock.netzgehirn.de:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 391589-done@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: 391589-done@bugs.debian.org
Subject: Re: [CVE-2006-4980] buffer overrun in repr() for unicode strings
Date: Fri, 12 Jan 2007 02:08:07 +0100
Fixed in all versions in sarge, edge and sid.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 00:47:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:35:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.